/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/notiftransfer.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/notiftransfer.xml',
'<View title="Notify transfer" showSubmit="true" defaultFormHandler="xxas_com_worklist_pkg.handle_reassign">
  <EditFields>
    <Hidden id="NOTIFICATION_ID" />
    <Combolist id="ASSIGNEE" label="Assignee" listProvider="REST:wfroles?q={searchText}" longlist="true" />
    <Hidden id="REASSIGN_MODE" value="TRANSFER"/>
    <TextArea id="COMMENTS" label="Comments" required="true" />
  </EditFields>
</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/notiftransfer.xml');
END;
/
COMMIT;
EXIT;
